com.amazon.redshift.core

## Class IdpAuthHelper

- java.lang.Object
- - com.amazon.redshift.core.IdpAuthHelper

Direct Known Subclasses:
  IamHelper, NativeAuthPluginHelper

    public class IdpAuthHelper
    extends Object

### Field Summary

Fields
`static int` `IDC_PLUGIN`
`static int` `JWT_PLUGIN`
`static int` `SAML_PLUGIN`

### Constructor Summary

Constructors
`protected` `IdpAuthHelper()`

### Method Summary

All Methods Static Methods Concrete Methods
`protected static RedshiftProperties` `setAuthProperties(RedshiftProperties info, RedshiftJDBCSettings settings, RedshiftLogger log)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SAML_PLUGIN

    public static final int SAML_PLUGIN

See Also:
  Constant Field Values

#### JWT_PLUGIN

    public static final int JWT_PLUGIN

See Also:
  Constant Field Values

#### IDC_PLUGIN

    public static final int IDC_PLUGIN

See Also:
  Constant Field Values

### Constructor Detail

#### IdpAuthHelper

    protected IdpAuthHelper()

### Method Detail

#### setAuthProperties

    protected static RedshiftProperties setAuthProperties(RedshiftProperties info,
                                                          RedshiftJDBCSettings settings,
                                                          RedshiftLogger log)
                                                   throws RedshiftException

Throws:
  `RedshiftException`